summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorSteve Langasek <steve.langasek@canonical.com>2020-08-12 16:32:31 +0000
committerSteve Langasek <steve.langasek@canonical.com>2020-08-12 16:32:31 +0000
commit13f69d07409750cf3cbad9fc7f2d80878d5273fa (patch)
treecbc007c5729ad82230da3d8380ae7099473ee7c9 /debian
parent9349b8a094eec8a8c719e64db484f4c2e2908015 (diff)
Continue building pam_cracklib, which is deprecated upstream; the replacement, pam_passwdqc, is packaged separately.
Diffstat (limited to 'debian')
-rw-r--r--debian/changelog2
-rwxr-xr-xdebian/rules1
2 files changed, 3 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index de210048..3b3a0592 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,8 @@ pam (1.4.0-1) UNRELEASED; urgency=medium
* New upstream release. Closes: #948188.
- Stop using obsoleted selinux headers. Closes: #956355.
+ - Continue building pam_cracklib, which is deprecated upstream;
+ the replacement, pam_passwdqc, is packaged separately.
* Drop patches to implement "nullok_secure" option for pam_unix.
Closes: #674857, #936071, LP: #1860826.
* debian/patches-applied/cve-2010-4708.patch: drop, applied upstream.
diff --git a/debian/rules b/debian/rules
index d904a227..3b5e24ef 100755
--- a/debian/rules
+++ b/debian/rules
@@ -29,6 +29,7 @@ override_dh_auto_configure:
dh_auto_configure -- --enable-static --enable-shared \
--libdir=/lib/$(DEB_HOST_MULTIARCH) \
--enable-isadir=/lib/security \
+ --enable-cracklib \
$(CONFIGURE_OPTS)
# .install files don't have "except for" handling, so we need to exclude